summaryrefslogtreecommitdiffstats
path: root/tests/t0500-dup-clobber.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/t0500-dup-clobber.sh')
-rw-r--r--tests/t0500-dup-clobber.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/tests/t0500-dup-clobber.sh b/tests/t0500-dup-clobber.sh
new file mode 100644
index 0000000..cd9081c
--- /dev/null
+++ b/tests/t0500-dup-clobber.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+# Drive the dup-clobber program.
+
+# Copyright (C) 2009-2014, 2019-2023 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../parted
+
+PATH="..:$PATH"
+export PATH
+
+dup-clobber || fail=1
+
+Exit $fail